Welcome, Guest
Username: Password: Remember me
25 Jul 2018
Glad to announce of release of INDI Library v1.7.4 on 2018-07-25. A few drivers were added in this release as we continue to improve & stabilize existing drivers.
Read More...
  • Page:
  • 1

TOPIC: KStars update fails to update INDI Library

KStars update fails to update INDI Library 1 week 5 days ago #28252

Hello folks, I have been following this forum for a while now as I switch from ASCOM to INDI, I am making good progress & I am very grateful for this excellent piece of software and am in awe of the amount of time, skill & effort that has gone into this project.
This is my first post forgive my lack of knowledge in this field, but I have a problem since updating KStars to 2.9.7, all my Raspberry Pi devices and an old Samsung R40 laptop have successfully updated both KStars & INDI Library to 2.9.7 & 1.7.4, however a Lenovo i5 processor Kubuntu 17.10 laptop which has refused to update and is stuck on version 2.9.6 & 1.7.3.
Using the Nightly Builds the Lenovo updates KStars to 2.9.7 but INDI remains at 1.7.3 and my QHY camera will not connect on theRaspberry Pi / Lenovo combination via the INDI Web Manager.

I have tried the following on the Lenovo without success

sudo apt-get update

sudo apt-get install indi-full kstars-bleeding

sudo apt-get update && sudo apt-get -y dist-upgrade

Any help would be greatly appreciated

Alan

Please Log in or Create an account to join the conversation.

Raspberry Pi3B,ASI120MC Usb2, QHY5Lii Mono, Atik CCD, Canon 600D, NEQ6, EQMod, EQ5, AstroEQ, EQMod Equinox ED80

KStars update fails to update INDI Library 1 week 5 days ago #28253

Did you upgrade INDI Web Manager as well? indilib.org/forum/general/3691-upgrade-i...nager-now.html#28057

Please Log in or Create an account to join the conversation.

Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info

KStars update fails to update INDI Library 1 week 5 days ago #28254

Jasem,
Thank you for the prompt reply.
Yes I did spot that on the forum and have updated the INDI web manager on all the devices in line with that the procedure in that post and it made no difference,
I cannot work out why the INDI library fails to update to 1.7.4 on the Lenovo when it has on every other device I have it installed on, I feel it must be something to do with the version of Kubuntu I'm running.

Many Thanks

Alan

Please Log in or Create an account to join the conversation.

Raspberry Pi3B,ASI120MC Usb2, QHY5Lii Mono, Atik CCD, Canon 600D, NEQ6, EQMod, EQ5, AstroEQ, EQMod Equinox ED80

KStars update fails to update INDI Library 1 week 5 days ago #28255

What's the error exactly?

Please Log in or Create an account to join the conversation.

Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info

KStars update fails to update INDI Library 1 week 5 days ago #28259

I get the following error message when trying to install the latest version of INDI Library and the version remains at 1.7.3, when I try t connect the devices through the INDI Web Manager I get the following error



sudo apt-add-repository ppa:mutlaqja/indinightly
sudo apt-get update
sudo apt-get install indi-full kstars-bleeding

aa@aa-Astro:~$ sudo apt-get install indi-full
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
indi-full : Depends: indi-shelyak but it is not installable
Depends: indi-nightscape but it is not installable
E: Unable to correct problems, you have held broken packages.

Alan
Attachments:

Please Log in or Create an account to join the conversation.

Raspberry Pi3B,ASI120MC Usb2, QHY5Lii Mono, Atik CCD, Canon 600D, NEQ6, EQMod, EQ5, AstroEQ, EQMod Equinox ED80

KStars update fails to update INDI Library 1 week 4 days ago #28262

Right, these two libraries were not built in Nightly, so I re-forced a build and you can try now.

Please Log in or Create an account to join the conversation.

Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info

KStars update fails to update INDI Library 1 week 4 days ago #28265

Jasem,

Many Thanks for your help unfortunately that has not worked either, I'm going to try a rebuild of the system from scratch, I've noticed that the system is not picking up any updates for any programs even via the software updater (Discover) which it used to do.

I'll try this & let you know how I get on.
I know it's all down to the setup on this laptop, as another laptop works fine with either of the raspberry Pi's without problem running 2.9.7 & 1.7.4

Once again

Many Thanks for your assistance

Alan

Please Log in or Create an account to join the conversation.

Raspberry Pi3B,ASI120MC Usb2, QHY5Lii Mono, Atik CCD, Canon 600D, NEQ6, EQMod, EQ5, AstroEQ, EQMod Equinox ED80

KStars update fails to update INDI Library 1 week 4 days ago #28267

The indexes might take sometime, but they're there. Please try again now and post the output.

Please Log in or Create an account to join the conversation.

Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info

KStars update fails to update INDI Library 1 week 4 days ago #28268

sorry, unnecessary post.

Please Log in or Create an account to join the conversation.

Last Edit: by Herrhausen.

KStars update fails to update INDI Library 1 week 15 hours ago #28424

The issue is all sorted :) . It was a problem with Kubuntu 17.01, it was downloading but not using the updated packages for KStars, INDI Library or INDI Web Manager. The cure was to upgrade to Kubuntu 18.04 it all works as it should now.
Thank You for the advice and assistance, it helped drill down onto the problem area.

Many Thanks
Alan

Please Log in or Create an account to join the conversation.

Raspberry Pi3B,ASI120MC Usb2, QHY5Lii Mono, Atik CCD, Canon 600D, NEQ6, EQMod, EQ5, AstroEQ, EQMod Equinox ED80
  • Page:
  • 1
Time to create page: 0.164 seconds

Login



3rd Party

Choose from the numerous 3rd party INDI drivers to suit your needs!

Got Problem?

Check out the FAQ, the forum, and the bug tracking system to resolve any issues you might have!
You can also subscribe to INDI newsletter and development mailing lists to get the latest updates on INDI!


Gallery

Replica

Why INDI

Replica